Page MenuHomePhabricator

Archive eventgate-ci repository from gerrit
Closed, ResolvedPublic

Description

In T226668 we stopped using the eventgate-ci repository in favor of eventgate-wikimedia. eventgate-ci can be removed.

Details

Related Gerrit Patches:
eventgate-ci : refs/meta/configModify project description and settings to archive
eventgate-ci : masterArchive repository
integration/config : masterRemove unused eventgate-ci zuul config

Event Timeline

Ottomata created this task.Jul 26 2019, 1:41 PM
Restricted Application added a project: Analytics. · View Herald TranscriptJul 26 2019, 1:41 PM

@Ottomata Can this be done now or are we waiting for the other tasks to be done first? Thanks.

Edit: So sorry, I've just seen you are assigned to this task. Apologies. I said nothing :-)

Can be done now! Thank you!

Ottomata removed Ottomata as the assignee of this task.Jul 26 2019, 3:29 PM

Me being assigned was because Phab defaulted to that as a sub task. I don't have privs to delete afaik.

greg triaged this task as Medium priority.Jul 26 2019, 4:47 PM
greg moved this task from INBOX to Later / Need volunteer on the Release-Engineering-Team-TODO board.
greg added a subscriber: greg.

Repository-Admins usually take care of these.

fdans moved this task from Incoming to Radar on the Analytics board.Jul 29 2019, 3:35 PM

Change 551837 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[integration/config@master] Remove unused eventgate-ci zuul config

https://gerrit.wikimedia.org/r/551837

Considering that the delete-project gerrit plugin does cause some unwanted effects (massive logspam which cannot be trivially fixed), archiving (marking as read-only) is a better option for now.

Jdforrester-WMF renamed this task from Delete eventgate-ci repository from gerrit to Archive eventgate-ci repository from gerrit.Nov 22 2019, 6:33 PM

Change 551837 merged by jenkins-bot:
[integration/config@master] Remove unused eventgate-ci zuul config

https://gerrit.wikimedia.org/r/551837

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptNov 24 2019, 10:55 AM

Change 561101 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[eventgate-ci@refs/meta/config] Modify project description and settings to archive

https://gerrit.wikimedia.org/r/561101

I've made the archiving patches but can't continue with archiving as I don't have enough permissions to merge on the eventgate-ci repository. If somebody could please review my work and merge as appropriate I'd appreciate it. Thanks.

Change 561100 had a related patch set uploaded (by DannyS712; owner: MarcoAurelio):
[eventgate-ci@master] Archive repository

https://gerrit.wikimedia.org/r/561100

Change 561100 merged by Ottomata:
[eventgate-ci@master] Archive repository

https://gerrit.wikimedia.org/r/561100

Hm, don't seem to be able to submit

Hm, don't seem to be able to submit

Project permissions seems a bit messed up. I've pinged a gerrit admin for help. They should be able to do it :-)

Change 561101 merged by QChris:
[eventgate-ci@refs/meta/config] Modify project description and settings to archive

https://gerrit.wikimedia.org/r/561101

QChris added a subscriber: QChris.Thu, Jan 2, 6:05 PM

@Ottomata Could you please submit https://gerrit.wikimedia.org/r/#/c/eventgate-ci/+/561101/ to finish the process? Thanks!

Done.

MarcoAurelio closed this task as Resolved.Thu, Jan 2, 6:10 PM
MarcoAurelio moved this task from later/stalled/blocked to cabinet on the User-MarcoAurelio board.